.product{
  background-color: white;
  padding: 15px;
  width: 270px;
  &__title {
    text-align: center;
    margin: 0 0 10px 0;
    font-weight: normal;
    font-size: 24px;
  }
  &__img {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    & > div {
      width: 128px;
      height: 128px;
      display: flex;
      align-items: center;
      & > img {
        max-width: 100%;
        max-height: 100%;
      }
    }
  }
  &__cost {
    text-align: center;
    font-size: 16px;
  }
  &__info{
    text-align: center;
  }
  &:hover .product__actions{
    visibility: visible;
  }
  &__actions{
    display: flex;
    visibility: hidden;
    justify-content: center;
    align-items: center;
    line-height: 1;
    input[type=text] {
      width: 30px;
    }
    .action-hidden{
      visibility: hidden;
    }
    .add-to-cart, .remove-from-cart {
      user-select: none;
      cursor: pointer;
      color: white;
    }
    .add-to-cart.badge-secondary, .remove-from-cart.badge-secondary{
      cursor: default;
    }
  }
}
